Ati Driver Install Problem SuSE 12.1 AMD CPU 64bit

Hoping somebody can help with an ATI Graphics Driver problem.

SuSE 12.1
Fresh install

Having discovered that there isn't an ati repository at the mo i
decided to download AMD's current ati driver installer.

it gets stuck on "license agreement required"  and "waiting for service
to start"

i'm in a position where i no longer have 3D graphics.

Can somebody please help me either get this driver installed and
running with 3D graphics or help me to uninstall it

Mark


-- 
akwe-xavante
------------------------------------------------------------------------



0
akwe
3/13/2012 1:46:03 AM
opensuse.org.help.hardware 8187 articles. 0 followers. Follow

20 Replies
579 Views

Similar Articles

[PageSpeed] 49

devilsbackbone:/sbin # lspci -nnk | grep VGA -iA2
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV710
[Radeon HD 4350] [1002:954f]
Subsystem: XFX Pine Group Inc. Device [1682:2463]
01:00.1 Audio device [0403]: ATI Technologies Inc RV710/730 HDMI Audio
[Radeon HD 4000 series] [1002:aa38]
devilsbackbone:/sbin #


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 2:26:02 AM
Just use atiupgrade: http://tinyurl.com/7zrn6an

Open a terminal, and type: 


Code:
--------------------
    
  su -l 
  zypper ar http://download.opensuse.org/repositories/home:/please_try_again/openSUSE_12.1/  PTA 
  zypper refresh -r PTA 
  zypper in atiupgrade
  atiupgrade
  
--------------------


Then reboot or exit and restart X.

http://tinyurl.com/76deh4l


-- 
please_try_again
------------------------------------------------------------------------
please_try_again's Profile: http://forums.opensuse.org/member.php?userid=10877
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
please
3/13/2012 2:56:04 AM
Thank you for your reply......Oooops!

I logged out, and got a Black screen, i could not log back in so from
an M$ box i used putty to login.  (Goog job i enable the Ssh server)

Having logged in i followed your instructions and something failed at
the end and i can no longer log in in anyway!

Session was closed by remote server

devilsbackbone:/home/akwe-xavante # zypper ar
http://download.opensuse.org/repos                                      

itories/home:/please_try_again/openSUSE_12.1/ PTa
Adding repository 'PTa' [done]
Repository 'PTa' successfully added
Enabled: Yes
Autorefresh: No
GPG check: Yes
URI: http://tinyurl.com/6nwtock                                        

2.1/

devilsbackbone:/home/akwe-xavante # zypper refresh -r PTA
Repository 'PTA' not found by its alias, number, or URI.
Use 'zypper repos' to get the list of defined repositories.
Specified repositories are not enabled or defined.
Use 'zypper addrepo' or 'zypper modifyrepo' commands to add or enable
repositori                                                              
es.
devilsbackbone:/home/akwe-xavante # zypper refresh -r PTa
Retrieving repository 'PTa' metadata [\]

New repository or package signing key received:
Key ID: BFF77EB2D2A53B8D
Key Name: home:please_try_again OBS Project
<home:please_try_again@build.opensus                                    

e.org>
Key Fingerprint: 1E4C7620888BC67AC26597ECBFF77EB2D2A53B8D
Key Created: Thu 17 Mar 2011 09:48:51 GMT
Key Expires: Sat 25 May 2013 10:48:51 BST
Repository: PTa

Do you want to reject the key, trust temporarily, or trust always?
[r/t/a/?] (r)                                                           
: t
Retrieving repository 'PTa' metadata [done]
Building repository 'PTa' cache [done]
Specified repositories have been refreshed.
devilsbackbone:/home/akwe-xavante # zypper in atiupgrade
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW package is going to be installed:
atiupgrade

1 new package to install.
Overall download size: 16.0 KiB. After the operation, additional 32.0
KiB will
be used.
Continue? [y/n/?] (y): y
Retrieving package atiupgrade-3.2.2-2.1.noarch (1/1), 16.0 KiB (32.0
KiB unpacke                                                             
d)
Retrieving: atiupgrade-3.2.2-2.1.noarch.rpm [done]
Installing: atiupgrade-3.2.2-2.1 [done]
Additional rpm output:
warning:
/var/cache/zypp/packages/PTa/noarch/atiupgrade-3.2.2-2.1.noarch.rpm: He 

ader V3 DSA/SHA1
Signature, key ID d2a53b8d: NOKEY


devilsbackbone:/home/akwe-xavante # atiupgrade
(0) - creating /usr/share/atiupgrade directory...
(1) - analyzing system...
(2) - get latest (or wanted) Catalyst version number: 12.2
(3) - checking required packages...
* gcc is already installed
* make is already installed
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW packages are going to be installed:
kernel-default-devel kernel-desktop-devel kernel-devel kernel-source
kernel-syms kernel-xen-devel

6 new packages to install.
Overall download size: 75.5 MiB. After the operation, additional 416.9
MiB will
be used.
Continue? [y/n/?] (y): y
Retrieving package kernel-devel-3.1.9-1.4.1.noarch (1/6), 7.7 MiB (37.2
MiB unpa                                                                
cked)
Retrieving: kernel-devel-3.1.9-1.4.1.noarch.rpm [done (582.2 KiB/s)]
Retrieving package kernel-xen-devel-3.1.9-1.4.1.x86_64 (2/6), 1.9 MiB
(2.7 MiB u                                                              
npacked)
Retrieving: kernel-xen-devel-3.1.9-1.4.1.x86_64.rpm [done (585.6
KiB/s)]
Retrieving package kernel-source-3.1.9-1.4.1.noarch (3/6), 61.6 MiB
(371.5 MiB u                                                            

npacked)
Retrieving: kernel-source-3.1.9-1.4.1.noarch.rpm [done (600.0 KiB/s)]
Retrieving package kernel-desktop-devel-3.1.9-1.4.1.x86_64 (4/6), 2.0
MiB (2.7 M                                                              
iB
unpacked)
Retrieving: kernel-desktop-devel-3.1.9-1.4.1.x86_64.rpm [done (583.3
KiB/s)]
Retrieving package kernel-default-devel-3.1.9-1.4.1.x86_64 (5/6), 2.0
MiB (2.7 M                                                              
iB
unpacked)
Retrieving: kernel-default-devel-3.1.9-1.4.1.x86_64.rpm [done (563.1
KiB/s)]
Retrieving package kernel-syms-3.1.9-1.4.1.x86_64 (6/6), 310.0 KiB (1.0
KiB unpa                                                                
cked)
Retrieving: kernel-syms-3.1.9-1.4.1.x86_64.rpm [done (415.2 KiB/s)]
Installing: kernel-devel-3.1.9-1.4.1 [done]
Installing: kernel-xen-devel-3.1.9-1.4.1 [done]
Installing: kernel-source-3.1.9-1.4.1 [done]
Installing: kernel-desktop-devel-3.1.9-1.4.1 [done]
Installing: kernel-default-devel-3.1.9-1.4.1 [done]
Installing: kernel-syms-3.1.9-1.4.1 [done]
(4) - downloading the ATI installer...
Connecting... Please wait.
asking libproxy about url
'http://www2.ati.com/drivers/linux/amd-driver-installe                  

r-12-2-x86.x86_64.run'
libproxy suggest to use 'direct://'
--2012-03-13 03:03:11-- 
http://www2.ati.com/drivers/linux/amd-driver-installer-                 

12-2-x86.x86_64.run
Resolving www2.ati.com (www2.ati.com)... 93.184.221.78
Connecting to www2.ati.com (www2.ati.com)|93.184.221.78|:80...
connected.
HTTP request sent, awaiting response... 200 OK
Length: 107213014 (102M) [application/octet-stream]
Saving to: `amd-driver-installer-12-2-x86.x86_64.run'

100%[======================================>] 107,213,014  611K/s   in
2m 49s

2012-03-13 03:06:00 (621 KB/s) -
`amd-driver-installer-12-2-x86.x86_64.run' save                         

d [107213014/107213014]

(5) - creating fglrx rpm...
Created directory fglrx-install.tjmMt9
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary
Driver-8.95..........................                                   


................................................................................


................................................................................


................................................................................


................................................................................


................................................................................


................................................................................


................................................................................


................................................................................


................................................................................


................................................................................


................................................................................


................................................................................


..........................................................
=====================================================================
AMD Catalyst(TM) Proprietary Driver Installer/Packager
=====================================================================
Generating package: SuSE/SUSE121-AMD64
Build the RPM package now ...

Package /usr/share/atiupgrade/fglrx64_xpic_SUSE121-8.950-1.x86_64.rpm
has been s                                                              

uccessfully generated

Install or update the RPM package as follows:

zypper install fglrx64_xpic_SUSE121-8.950-1.x86_64.rpm

Removing temporary directory: fglrx-install.tjmMt9
(8) - installing fglrx...
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW packages are going to be installed:
fglrx64_xpic_SUSE121 patch

2 new packages to install.
Overall download size: 55.5 MiB. After the operation, additional 234.7
MiB will
be used.
Continue? [y/n/?] (y): y
Retrieving package patch-2.6.1.116-4.1.5.x86_64 (1/2), 81.0 KiB (155.0
KiB unpac                                                               
ked)
Retrieving: patch-2.6.1.116-4.1.5.x86_64.rpm [done (3.5 KiB/s)]
Retrieving package fglrx64_xpic_SUSE121-8.950-1.x86_64 (2/2), 55.4 MiB
(234.5 Mi                                                               
B
unpacked)
Installing: patch-2.6.1.116-4.1.5 [done]
Retrieving package fglrx64_xpic_SUSE121-8.950-1.x86_64 (1/2), 55.4 MiB
(234.5 Mi                                                               
B
unpacked)
Installing: fglrx64_xpic_SUSE121-8.950-1 [97%]


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 3:26:03 AM
I suspect i'm going to have to start all over!


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 3:26:03 AM
Hit the reset button   .......

Durring the boot process i noticed a message saying something like
"Failed to rebuild fglrx Kernal"


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 3:26:03 AM
Well i tried it again.... not sure if this has worked or not but
graphics are better and i have a transparent taskbar

devilsbackbone:~ # atiupgrade
(1) - analyzing system...
(2) - get latest (or wanted) Catalyst version number:
/usr/bin/atiupgrade: line 188: [: -gt: unary operator expected
12.2
(3) - checking required packages...
* kernel-source is already installed
* kernel-desktop-devel is already installed
* kernel-syms is already installed
* gcc is already installed
* make is already installed
(4) - downloading the ATI installer...
(5) - creating fglrx rpm...
* /usr/share/atiupgrade/fglrx64_xpic_SUSE121-8.950-1.x86_64.rpm
found. 
(8) - installing fglrx...
error: not an rpm package
Problem reading the RPM header of
/usr/share/atiupgrade/fglrx64_xpic_SUSE121-8.950-1.x86_64.rpm. Is it an
RPM file?
No valid arguments specified.

No processes using deleted files found.
(9) - running aticonfig...
devilsbackbone:~ #


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 3:36:03 AM
devilsbackbone:~ # lspci -nnk | grep VGA -iA2
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV710
[Radeon HD 4350] [1002:954f]
Subsystem: XFX Pine Group Inc. Device [1682:2463]
Kernel driver in use: radeon


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 3:36:03 AM
In System Info it now says my 3D driver is unknown Gallium (7.11)


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 3:36:03 AM
akwe-xavante;2447933 Wrote: 
> 
> Installing: fglrx64_xpic_SUSE121-8.950-1 [97%]

Do you mean that the fglrx package was installed to 97%? (!)  If the
package didn't install completely, it's unlikely that it will be able to
compile the module. Compare the output you get with the picture in the
first link I provided (it's for version 11.4, but it doesn't matter). In
step 8, the package should install and print "[done]", not "[97%]".


-- 
please_try_again
------------------------------------------------------------------------
please_try_again's Profile: http://forums.opensuse.org/member.php?userid=10877
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
please
3/13/2012 3:36:03 AM
akwe-xavante;2447938 Wrote: 
> 
> (5) - creating fglrx rpm...
> * /usr/share/atiupgrade/fglrx64_xpic_SUSE121-8.950-1.x86_64.rpm
> found. 
> (8) - installing fglrx...
> error: not an rpm package
> Problem reading the RPM header of
> /usr/share/atiupgrade/fglrx64_xpic_SUSE121-8.950-1.x86_64.rpm. Is it an
> RPM file?
> 

The rpm package built by atiupgrade is faulty. It should not happen.
Delete the files in directory /usr/share/atiupgrade and run atiupgrade
again (as root).


-- 
please_try_again
------------------------------------------------------------------------
please_try_again's Profile: http://forums.opensuse.org/member.php?userid=10877
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
please
3/13/2012 3:46:03 AM
If it fails again, check the integrity of the ati run file (that the
script downloads from ATI website): 


Code:
--------------------
    # cd /usr/share/atiupgrade
  # md5sum amd-driver-installer-12-2-x86.x86_64.run 
  7764bd0343ed542a8e0ebed05e347865  amd-driver-installer-12-2-x86.x86_64.run
--------------------


-- 
please_try_again
------------------------------------------------------------------------
please_try_again's Profile: http://forums.opensuse.org/member.php?userid=10877
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
please
3/13/2012 3:46:03 AM
I have problem with installation of the Ati driver. My laptop is MSI
CX620 with switchable ATI/Intel video cards. I have installed the latest
ati driver 12.2, but there is error in fglrx-install.log :

Uninstalling any previously installed drivers.
Unloading radeon module...
Unloading drm module...
ERROR: Module drm is in use by i915,ttm,drm_kms_helper
[Message] Kernel Module : Trying to install a precompiled kernel
module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment,
generating kernel module now.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/3.1.9-1.4-desktop/build
SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory
`/usr/src/linux-3.1.9-1.4-obj/x86_64/desktop'
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_io.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_str.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl.o
CC [M]  /lib/modules/fglrx/build_mod/2.6.x/kcl_wait.o
LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
Building modules, stage 2.
MODPOST 1 modules
CC      /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory
`/usr/src/linux-3.1.9-1.4-obj/x86_64/desktop'
build succeeded with return value 0
duplicating results into driver repository...
done.
You must change your working directory to /lib/modules/fglrx
and then call ./make_install.sh in order to install the built module.
- recreating module dependency list
- trying a sample load of the kernel modules
done.
[Reboot] Kernel Module : mkinitrd

I don't know what to do. Is there anyone who can write a step by step
installation manual for ATI driver? And how to install/enable POSIX?


-- 
alexandere
------------------------------------------------------------------------
alexandere's Profile: http://forums.opensuse.org/member.php?userid=66601
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
alexandere
3/13/2012 8:16:02 AM
It would appear that all went well this morning, but before i reboot i
thought i would post the results just in case all goes pear shaped 

devilsbackbone:~ # zypper in atiupgrade
Loading repository data...
Reading installed packages...
'atiupgrade' is already installed.
No update candidate for 'atiupgrade-3.2.2-2.1.noarch'. The highest
available version is already installed.
Resolving package dependencies...

Nothing to do.
devilsbackbone:~ # atiupgrade
(1) - analyzing system...
(2) - get latest (or wanted) Catalyst version number:
/usr/bin/atiupgrade: line 188: [: -gt: unary operator expected
12.2
(3) - checking required packages...
* kernel-source is already installed
* kernel-desktop-devel is already installed
* kernel-syms is already installed
* gcc is already installed
* make is already installed
(4) - downloading the ATI installer...
(5) - creating fglrx rpm...
Created directory fglrx-install.ZjLVeM
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary
Driver-8.95....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
=====================================================================
AMD Catalyst(TM) Proprietary Driver Installer/Packager 
=====================================================================
Generating package: SuSE/SUSE121-AMD64
Build the RPM package now ...  

Package /usr/share/atiupgrade/fglrx64_xpic_SUSE121-8.950-1.x86_64.rpm
has been successfully generated



Install or update the RPM package as follows:

zypper install fglrx64_xpic_SUSE121-8.950-1.x86_64.rpm



Removing temporary directory: fglrx-install.ZjLVeM                     


(8) - installing fglrx...
Loading repository data...                                             


Reading installed packages...                                          


Resolving package dependencies...



The following NEW packages are going to be installed:                  


fglrx64_xpic_SUSE121 patch                                           



2 new packages to install.
Overall download size: 55.5 MiB. After the operation, additional 234.7
MiB will be used.                                                       

Continue? [y/n/?] (y): y                                   
Retrieving package patch-2.6.1.116-4.1.5.x86_64 (1/2), 81.0 KiB (155.0
KiB unpacked)
Retrieving: patch-2.6.1.116-4.1.5.x86_64.rpm [done (0 B/s)]
Retrieving package fglrx64_xpic_SUSE121-8.950-1.x86_64 (2/2), 55.4 MiB
(234.5 MiB unpacked)                                                    

Installing: patch-2.6.1.116-4.1.5 [done]
Retrieving package fglrx64_xpic_SUSE121-8.950-1.x86_64 (1/2), 55.4 MiB
(234.5 MiB unpacked)
Installing: fglrx64_xpic_SUSE121-8.950-1 [done]
Additional rpm output:
Updating /etc/sysconfig/fglrxconfig...
/usr/src/kernel-modules/fglrx /
Apply some patches ...                                                 


ati-CONFIG_SMP.patch applied successfully.
ati-2.6.27-build-fix-1.patch applied successfully.
ati-2.6.36-compat_alloc_user_space.patch applied successfully.
/

Used CPUs/Cores for compilation  =>  [ 4 ]


********************************************************************************
*                                                                      
*
*   Kernel:    3.1.9-1.4-desktop                                       
*
*   Source:    /lib/modules/3.1.9-1.4-desktop/build                    
*
*   Include:   /lib/modules/3.1.9-1.4-desktop/source/include           
*
*                                                                      
*
********************************************************************************



file
/lib/modules/3.1.9-1.4-desktop/source/include/../arch/x86/include/asm/compat.h
says:COMPAT_ALLOC_USER_SPACE=arch_compat_alloc_user_space
/usr/src/kernel-modules/fglrx/2.6.x /
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make: Entering directory `/usr/src/linux-3.1.9-1.4-obj/x86_64/desktop'
LD      /usr/src/kernel-modules/fglrx/2.6.x/built-in.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/firegl_public.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl_acpi.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl_agp.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl_debug.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl_ioctl.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl_io.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl_pci.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl_str.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl_iommu.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl.o
CC [M]  /usr/src/kernel-modules/fglrx/2.6.x/kcl_wait.o
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c: In function
‘KCL_GetInitKerPte’:
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c:2384:5: warning:
return makes integer from pointer without a cast [enabled by default]
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c:2385:5: warning:
return makes integer from pointer without a cast [enabled by default]
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c:2386:5: warning:
return makes integer from pointer without a cast [enabled by default]
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c: In function
‘KCL_GetPageTableByVirtAddr’:
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c:2431:5: warning:
return makes integer from pointer without a cast [enabled by default]
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c:2434:5: warning:
return makes integer from pointer without a cast [enabled by default]
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c:2435:5: warning:
return makes integer from pointer without a cast [enabled by default]
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c: In function
‘KCL_TestAndClearPageDirtyFlag’:
/usr/src/kernel-modules/fglrx/2.6.x/firegl_public.c:2609:5: warning:
return makes integer from pointer without a cast [enabled by default]
LD [M]  /usr/src/kernel-modules/fglrx/2.6.x/fglrx.o
Building modules, stage 2.
MODPOST 1 modules
CC      /usr/src/kernel-modules/fglrx/2.6.x/fglrx.mod.o
LD [M]  /usr/src/kernel-modules/fglrx/2.6.x/fglrx.ko
make: Leaving directory `/usr/src/linux-3.1.9-1.4-obj/x86_64/desktop'
make: Entering directory `/usr/src/linux-3.1.9-1.4-obj/x86_64/desktop'
INSTALL /usr/src/kernel-modules/fglrx/2.6.x/fglrx.ko
DEPMOD  3.1.9-1.4-desktop
make: Leaving directory `/usr/src/linux-3.1.9-1.4-obj/x86_64/desktop'
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
/
Calling 'depmod -a 3.1.9-1.4-desktop' this may take a while...


Summary report:
================================================================================

Kernel     => 3.1.9-1.4-desktop
Detected   => RPM package
Build      => [ OK ]
Install    => [ OK ]

*************************************************************
Please read "/usr/share/doc/packages/fglrx/README.SuSE" for
configuration details when using SaX2.
*************************************************************

Check: No fglrx section.
Uninitialised file found, configuring.
Switch to AMD
Switch to AMD



No processes using deleted files found.                                


(9) - running aticonfig...                                            


Check: Found fglrx section.
devilsbackbone:~ #


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 8:26:02 AM
devilsbackbone:~ # lspci -nnk | grep VGA -iA2
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV710
[Radeon HD 4350] [1002:954f]
Subsystem: XFX Pine Group Inc. Device [1682:2463]
Kernel driver in use: fglrx_pci

and:

devilsbackbone:/usr/share/atiupgrade # md5sum
amd-driver-installer-12-2-x86.x86_64.run
7764bd0343ed542a8e0ebed05e347865 
amd-driver-installer-12-2-x86.x86_64.run

and i have no LSB errors associated with loading of fglrx module at
boot up either, but i still don't have a 3D driver installed at all
though.  Is this correct?


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 8:36:02 AM
akwe-xavante;2447986 Wrote: 
> devilsbackbone:~ # lspci -nnk | grep VGA -iA2
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV710
> [Radeon HD 4350] [1002:954f]
> Subsystem: XFX Pine Group Inc. Device [1682:2463]
> Kernel driver in use: fglrx_pci
> 
> and:
> 
> devilsbackbone:/usr/share/atiupgrade # md5sum
> amd-driver-installer-12-2-x86.x86_64.run
> 7764bd0343ed542a8e0ebed05e347865 
> amd-driver-installer-12-2-x86.x86_64.run
> 

The checksum is OK and it worked that time. Maybe the installer didn't
download correctly the first time ... or you got an I/O error
somewhere.

akwe-xavante;2447986 Wrote: 
> and i have no LSB errors associated with loading of fglrx module at boot
> up either, but i still don't have a 3D driver installed at all though. 
> Is this correct?

No. How do you know that you don't have 3D support? And which desktop
are you using?


-- 
please_try_again
------------------------------------------------------------------------
please_try_again's Profile: http://forums.opensuse.org/member.php?userid=10877
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
please
3/13/2012 9:06:02 AM
Hi please_try_again,

Firstly a very BIG thank you for your help and continued support.

I think i have 3D support! but when i look at Start > Computer > System
Information i get:

Vendor:  ATI Technologies Inc
Model:  ATI RADEON HD 4350
2D driver:  fglrx

No 3D Driver!?

But the Graphics are fine, transparent when expected and no time lag
when dragging windows etc.

I'm using the default desktop, KDE


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 9:16:03 AM
What do you see when you type this: 


Code:
--------------------
    fgl_glxgears
--------------------


Does it look 3-dimensional? 


Code:
--------------------
    clinfo  | grep 3D
--------------------


Does it look similar to 


Code:
--------------------
    
  Max image 3D width:                            2048
  Max image 3D height:                           2048
  Max image 3D depth:                            2048
  
--------------------


(probably better than mine)


Code:
--------------------
    fglrxinfo
--------------------


or (verbose output) :


Code:
--------------------
    fglrxinfo -v 
--------------------



Code:
--------------------
    glxinfo | grep direct
--------------------


Does it say :


Code:
--------------------
    direct rendering: Yes
--------------------


?

You can also see more in Catalyst Control Center: 


Code:
--------------------
    amdcccle
--------------------


-- 
please_try_again
------------------------------------------------------------------------
please_try_again's Profile: http://forums.opensuse.org/member.php?userid=10877
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
please
3/13/2012 9:46:03 AM
devilsbackbone:/home/akwe-xavante # fgl_glxgears
Using GLX_SGIX_pbuffer
282 frames in 5.0 seconds = 56.400 FPS
302 frames in 5.0 seconds = 60.400 FPS
303 frames in 5.0 seconds = 60.600 FPS
303 frames in 5.0 seconds = 60.600 FPS


It certainly Does

devilsbackbone:/home/akwe-xavante # clinfo  | grep 3D
Max image 3D width:                            2048
Max image 3D height:                           2048
Max image 3D depth:                            2048
devilsbackbone:/home/akwe-xavante # 

Same

devilsbackbone:/home/akwe-xavante # fglrxinfo
display: :0  screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 4300/4500 Series       
OpenGL version string: 3.3.11554 Compatibility Profile Context

devilsbackbone:/home/akwe-xavante # 


devilsbackbone:/home/akwe-xavante # glxinfo | grep direct
direct rendering: Yes
GL_EXT_copy_buffer, GL_EXT_copy_texture,
GL_EXT_direct_state_access, 
devilsbackbone:/home/akwe-xavante #


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 9:56:02 AM
Everything is fine. The info is just missing in KDE.


-- 
please_try_again
------------------------------------------------------------------------
please_try_again's Profile: http://forums.opensuse.org/member.php?userid=10877
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
please
3/13/2012 10:26:03 AM
Once more a very BIG thank you for your help.

Problem sorted

Mark


-- 
akwe-xavante
------------------------------------------------------------------------
akwe-xavante's Profile: http://forums.opensuse.org/member.php?userid=4308
View this thread: http://forums.opensuse.org/showthread.php?t=473362

0
akwe
3/13/2012 11:36:02 AM
Reply: